Odisea con Fedora 18

No se por qué, pero después de instalar los Entornos Mate y Xfce encima de Gnome 3 en Fedora 18, estos no se habían instalado completos, solo una parte.

Después de instalar el entorno Xfce completo con sudo yum groupinstall “Xfce Desktop”, me propuse a desinstalar, lógicamente, con el mismo comando los escritorios Mate y Gnome 3, pero por alguna razón me querría desinstalarlo todo. Para que os hagáis una idea, hasta systemd. Obviamente el proceso se cortocircuitaba y paraba, y de todos modos yo no habría dado aceptar.

Esto es raro de cojones, o ¿no?

Pero aquí no acaba la cosa, volví a reinstalar Fedora 18, pero lo único que tenía era el DVD de instalación. Mi último DVD, no pienso comprar más, igual que no compro CD’s desde… no me acuerdo. Y no he utilizado un lapiz USB porque habría tenido que descargar otra iso y de todos modos, es mayor de 4GB lo suficiente como para que no quepa en el lapiz, da error (lo he probado).

Instalé Fedora 18 beta, no sin dolores de cabeza por el puto Anaconda, que se empeña a hacer las cosas a su manera y no me dejaba hacerlo como yo quería. Al final conseguí hacerlo, pero no veas.

Tras la segunda instalación, si segunda, porque la primera vez Anaconda dio error en mitad de la instalación. Me imagino que eso ya no pasará en la versión final. Me ha quedado todo bonito. Me propongo a hacer un update y …

Errror.

No conseguía conectarse a ninguno de los “Mirrors”. Daba este error una y otra vez, cíclicamente para todos los mirrors y no paraba:

Intentando con otro espejo.
lohit-gujarati-fonts-2.5.1-3.f FAILED
http://ftp.informatik.uni-frankfurt.de/fedora/releases/18/Everything/x86_64/os/drpms/lohit-gujarati-fonts-2.5.1-3.fc18_2.5.2-1.fc18.noarch.drpm: [Errno 14] HTTP Error 404 - Not Found : http://ftp.informatik.uni-frankfurt.de/fedora/releases/18/Everything/x86_64/os/drpms/lohit-gujarati-fonts-2.5.1-3.fc18_2.5.2-1.fc18.noarch.drpm

Tanto para el update como para el upgrade. Pensé ¡Joder!, pero ahí seguía, empeñado a hacer que funcionase.

Pregunté en Ask Fedora. A las pocas horas me contesta uno que tengo que bajarme el LiveCD o el LiveDVD y a actualizarlo desde ahí. Yo soy un tio agradable, pero me estaba empezando a cabrear, le expliqué de la manera más educada (de hecho bastante educada) que la cosa era que no querría descargarme otra iso, ni grabarla en un CD ni DVD (ni lapiz USB). No volvió a responder.

Sin respuesta todavía, al día siguiente, veo que un tío me contesta con una respuesta larguísima. Pienso: esto es. Reinicio mi portatil de Centos a Fedora y me pongo a hacerlo. Básicamente dice que me descargue manualmente el paquete “Fedora Release 18.1”.

Vale. Miro con un yum info qué tengo instalado el “Fedora Release 18.0”. Pensé, ahora sí, es esta. Me bajo el rpm, lo instalo, le doy a actualizar y me sale lo mismo. Le doy a upgrade y me sale lo mismo. Volvió el cabreo del día anterior.

Miro su respuesta y resulta que de las cerca de 40 líneas, en 4 me dice que descargue e instale el rpm, el resto es el comando para ver de qué se compone el rpm. Me estaba empezando a dar un tic en el ojo derecho.

Total, me puse a editar la pregunta para incluir el error que me daba y a ver si alguien me ayudaba. Todo bien hasta ahí. No me dejaba publicar la edición de mi propia pregunta, no sé si será por tener 1 punto, pero es mi propia pregunta. Bueno, si no me daba permisos para editar mi pregunta, siempre la podía “responder” con el error y lidiar con los comentarios “Esto no es una respuesta constructiva, etc, etc”.

Tampoco me dejaba responder a mi propia pregunta. Tuve que publicarlo como un comentario (para los que utilizáis plataformas tipo StackExchange comprenderéis a qué me refiero). Si no me puse a insultar a la página ahí mismo ha sido por miedo a que me baneen, pero vamos, me llegaba a decir un nota de la calle que es el webmaster/developer/mantainer de la página en la calle en ese momento y le pego, sí o sí.

Si tanto cabreo ha servido para algo, fue para darme cuenta de que el error era CÍCLICO y como la lista de mirrors no lo era, algo debía de pasar. Se me ocurrió desactivar la lista de plugins. Tenía activado langpack (idiomas), refresh package kit (refresh… uhhm, no) y presto (esto debía ser). Lo desactivo y “voilá“, todo va. Me parece que los mirrors ya no tenían los paquetes delta (que son los que utiliza presto) para actualizar, o algo parecido, y daba error.

El problema lo solucioné y sin embargo no he podido responderme a mi propia pregunta en Ask Fedora porque no me deja. Si me pasa algo parecido en el futuro, dejo Fedora para no volver jamás, eso es una promesa.

Anuncios

Un pensamiento en “Odisea con Fedora 18

Responder

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión / Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión / Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión / Cambiar )

Google+ photo

Estás comentando usando tu cuenta de Google+. Cerrar sesión / Cambiar )

Conectando a %s